Package org.osgi.service.remoteserviceadmin

# Interface ExportReference

All Known Implementing Classes:
  `RemoteServiceAdmin.ExportReference`

@ProviderType public interface ExportReference
An Export Reference associates a service with a local endpoint. The Export Reference can be used to reference an exported service. When the service is no longer exported, all methods must return `null`.

## Method Summary

Modifier and Type
Method
Description
`EndpointDescription`
`getExportedEndpoint()`
Return the Endpoint Description for the local endpoint.
`ServiceReference<?>`
`getExportedService()`
Return the service being exported.

## Method Details

### getExportedService

ServiceReference<?> getExportedService()
Return the service being exported.

Returns:
  The service being exported. Must be `null` when the service is no longer exported.

### getExportedEndpoint

EndpointDescription getExportedEndpoint()
Return the Endpoint Description for the local endpoint.

Returns:
  The Endpoint Description for the local endpoint. Must be `null` when the service is no longer exported.